package com.ruoyi.model.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.model.domain.OmsOrderEvaluation;

/**
 * 订单评价Mapper接口
 * 
 * @author daixiande
 */
public interface OmsOrderEvaluationMapper extends BaseMapper<OmsOrderEvaluation> {
    /**
     * 查询订单评价
     * 
     * @param id 订单评价主键
     * @return 订单评价
     */
    OmsOrderEvaluation selectById(Integer id);

    /**
     * 查询订单评价列表
     * 
     * @param omsOrderEvaluation 订单评价
     * @return 订单评价集合
     */
    List<OmsOrderEvaluation> selectList(OmsOrderEvaluation omsOrderEvaluation);

    /**
     * 新增订单评价
     * 
     * @param omsOrderEvaluation 订单评价
     * @return 结果
     */
    int insert(OmsOrderEvaluation omsOrderEvaluation);

    /**
     * 修改订单评价
     * 
     * @param omsOrderEvaluation 订单评价
     * @return 结果
     */
    int update(OmsOrderEvaluation omsOrderEvaluation);

    /**
     * 删除订单评价
     * 
     * @param id 订单评价主键
     * @return 结果
     */
    int deleteById(Integer id);

    /**
     * 批量删除订单评价
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteByIds(Integer[] ids);

    /**
     * 更新或插入订单评价
     *
     * @param omsOrderEvaluation 订单评价
     * @return 结果
     */
    int insertOrUpdate(OmsOrderEvaluation omsOrderEvaluation);
}
